Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class XMLFactory

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.owscommon.XMLFactory
              org.deegree.ogcwebservices.wass.common.XMLFactory

    public class XMLFactory

extends XMLFactory

This is the XMLFactory for both the WAS and the WSS. Please note that it only works with the 1.0 version of the OWS base classes, mostly recognizable by the appendix _1_0.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.owscommon.XMLFactory
`DEEGREECSWNS, OWSNS`

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, OGCNS, XLNNS`

Constructor Summary
`XMLFactory()`

Method Summary
`static WASCapabilitiesDocument` | `export(WASCapabilities capabilities)` Exports the given WAS capabilities as XML document.
`static WSSCapabilitiesDocument` | `export(WSSCapabilities capabilities)` Exports the given WSS capabilities as XML document.

Methods inherited from class org.deegree.owscommon.XMLFactory
`appendAddress, appendDCP, appendException, appendMetadata, appendOperationsMetadata, appendOWSKeywords, appendOWSKeywords, appendParameter, appendPhone, appendServiceIdentification, appendServiceProvider, export, exportExceptionReport, exportExceptionReportWFS, exportExceptionReportWFS100, exportNS, maybeSetAttribute`

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendKeywords, appendKeywords, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### export

    public static WASCapabilitiesDocument export(WASCapabilities capabilities)

  Exports the given WAS capabilities as XML document.

  Parameters:
    `capabilities` - the data to export
  Returns:
    the XMLFragment

### export

    public static WSSCapabilitiesDocument export(WSSCapabilities capabilities)

  Exports the given WSS capabilities as XML document. Also appends the WSS specific element SecuredServiceType.

  Parameters:
    `capabilities` - the data to export
  Returns:
    the XMLFragment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org